#
# Makefile for wl24_cs
#

include ../config.mk

LIB := ../lib

CFLAGS = -O2 -Wall -Wstrict-prototypes -Winline -pipe

CPPFLAGS = $(PCDEBUG) -D__KERNEL__ -DMODULE -I../include \
	   -I$(LINUX)/include -I$(LINUX)

all: wl24_cs.o

wl24_cs.o: wl24_cs.c wl24.o wlapi.o wlpnp.o wlioctl.o
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -DWL_PCMCIA -DWL_SLOWDOWN $< -o pre_$@
	$(LD) -r -o $@ pre_$@ wl24.o wlapi.o wlpnp.o wlioctl.o
	rm -f pre_$@
	chmod -x $@

